package com.dhalucario.HeartContainersReloaded;

import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    HCConfigLoader hcConfigLoader;

    // Fired when plugin is first enabled
    @Override
    public void onEnable() {
        hcConfigLoader = new HCConfigLoader(this);
        hcConfigLoader.loadDefaults();
        getServer().getPluginManager().registerEvents(new HCController(this, hcConfigLoader), this);
    }

    // Fired when plugin is disabled
    @Override
    public void onDisable() {
        hcConfigLoader.save();
        hcConfigLoader = null;
    }

}

